"""define resources available on the computing cluster"""
from virtmat.language.utilities.serializable import ureg

# development queue
res_config = {
    'queue': 'dev_cpuonly',
    'max_tasks_per_node': 76,
    'min_ncores': 1,
    'max_ncores': 912,
    'max_walltime': ureg.Quantity(4, 'hours'),
    'max_memory': ureg.Quantity(3200, 'MB'),
    'default_ncores': 1,
    'default_memory': None,
    'default_walltime': ureg.Quantity(10, 'minutes')
}

'''
# production queue
res_config = {
    'queue': 'cpuonly',
    'max_tasks_per_node': 76,
    'min_ncores': 76,
    'max_ncores': 14592,
    'max_walltime': ureg.Quantity(3, 'days'),
    'max_memory': ureg.Quantity(6600, 'MB'),
    'default_ncores': 1,
    'default_memory': None,
    'default_walltime': ureg.Quantity(10, 'minutes')
}
'''
